Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Employee
  • Authentication
    • Authorization
      POST
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
  • Recruitment
    • Get Candidate
    • Get Recruitment หน้าหลัก
  • Core HR
    • Attendance
      • Get Time Attendance
      • Get Time Attendances Lite
      • Workin
      • Get Employee WorkIn Site
      • Get Timestamps
      • Get TimeStamp Attachments
      • Get Workin Sites
      • Get IOMO Logs
      • Add Timestamps
    • Asset
      • Get Asset list
      • Update Asset
      • Get Employee Assets
    • Employee
      • Get Employee
        GET
      • Update Employee
        PUT
      • Get List Employees
        GET
      • Get Employees List
        GET
      • Get Mastertypes List
        GET
      • Get Name Prefixes
        GET
      • Get Document Types
        GET
      • Update Employee
        POST
      • Add Employee Attachment
        POST
      • Update Employee Address
        POST
      • Update Employee Family
        POST
      • Update Employee Information
        POST
      • Update Employee Contact
        POST
      • Update Employee Education
        POST
      • Update Employee Experience
        POST
      • Update Employee CustomField
        POST
      • Delete Employee
        POST
      • Get Employee Role
        GET
      • Get Employee Movement Lists
        GET
    • Leave
      • Get Employee Documents
    • Shifts
      • Get Shift Details
      • Update Employee Shifts
      • Get Employee Shifts
      • Swap Employee Shifts
    • Timesheet
      • SearchProjects
      • SearchTasks
      • AddTimeSheetEntry
  • Payroll
    • Create Loan
    • Get Loan
    • Get Cost Center
    • Get Financial Transactions
    • Update Financial Transactions
  • Welfare
    • Get Shuttle Buses
    • Get Passengers
  • Goals
    • Update KPI
  • Engagement
    • Achievement
      • GetEmployeeAchievementsByEmployeeNoAsync
      • CreateAchievementCardAsync
      • CreateAchievementAwardDocumentAsync
    • Praise
      • GetEmployeePraisesByEmployeeNoAsync
      • GetPraiseTypesAsync
      • CreatePraiseRewardManagerAsync
  1. Employee

Get List Employees

Deprecated
GET
https://api.gofive.co.th/empeo/api/v1/profiles/list

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/empeo/api/v1/profiles/list?pageSize=10&pageIndex=0' \
--header 'Ocp-Apim-Subscription-Key: XDm388h2UOxjzVPTAqhs23' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "statusCode": 0,
    "message": "string",
    "error": "string",
    "data": {
        "total": 0,
        "employees": [
            [
                {
                    "employeeRefId": "string",
                    "firstName": "string",
                    "lastName": "string",
                    "firstNameEN": "string",
                    "lastNameEN": "string",
                    "nickName": "string",
                    "nickNameEN": "string",
                    "dateHired": "string",
                    "contact": {
                        "emailAddress": "string",
                        "telephoneNo": "string"
                    },
                    "workingInformation": {
                        "position": "string",
                        "companyId": 0,
                        "status": 0,
                        "typeId": 0,
                        "type": "string",
                        "salary": 0,
                        "managerRefId": "string",
                        "emailAddress": "string",
                        "telephoneNo": "string",
                        "imagePath": "string",
                        "organization": {
                            "level1": "string",
                            "level2": "string",
                            "level3": "string",
                            "level4": "string",
                            "level5": "string",
                            "level6": "string"
                        }
                    },
                    "information": {
                        "genderId": 0,
                        "gender": "string",
                        "address": "string",
                        "road": "string",
                        "subDistrict": "string",
                        "district": "string",
                        "province": "string",
                        "postCode": "string",
                        "mobileNo": "string",
                        "region": "string",
                        "national": "string",
                        "identificationNo": "string",
                        "height": 0,
                        "weight": 0,
                        "militaryStatusId": 0,
                        "millitaryStatus": "string",
                        "maritalStatusId": 0,
                        "maritalStatus": "string",
                        "relationships": [
                            {
                                "relationshipTypeId": 0,
                                "relationshipType": "string",
                                "firstName": "string",
                                "lastName": "string",
                                "contact": "string"
                            }
                        ]
                    },
                    "educations": [
                        {
                            "sequence": 0,
                            "institution": "string",
                            "major": "string",
                            "degreeId": 0,
                            "degree": "string",
                            "fromYear": 0,
                            "toYear": 0
                        }
                    ],
                    "workExperiences": [
                        {
                            "company": "string",
                            "dateFrom": "string",
                            "dateTo": "string",
                            "position": "string",
                            "jobDescription": "string",
                            "salary": 0,
                            "resignationReasonId": "string",
                            "resignationReason": "string"
                        }
                    ]
                }
            ]
        ]
    }
}
Modified at 2023-06-30 09:51:59
Previous
Update Employee
Next
Get Employees List
Built with